#include <Ball/Ball.hpp>
#include <math.h>
#include <iostream>
#include <random>
#include "../Config.hpp"

Ball::Ball()
{
	texture.loadFromFile("../res/ball.png");
	sprite.setTexture(texture);
	
	restart();
}
void Ball::draw(sf::RenderTarget& target)
{
	target.draw(sprite);
}

void Ball::move()
{
	constexpr int ball_speed(35);
	
	if (clock.getElapsedTime().asMilliseconds()>=ball_speed)
	{
		sprite.move(speed);
		clock.restart();
	}
}
void Ball::setDirectionfromAngle(double angle)
{
	speed=sf::Vector2f(5*cos(angle),-5*sin(angle));
	this->angle=angle;
}

void Ball::restart()
{
	sprite.setPosition(WINDOW_WIDTH/2,WINDOW_HEIGHT/2);
	//std::uniform_real_distribution<double> unif(-M_PI/4, M_PI/4);
	angle=-M_PI/4;
	//angle=unif(rand);
	setDirectionfromAngle(angle);
}

